Puntuado con 4 de 5 estrellas

Is it really not compatible anymore with Firefox 3.6.* ?